Create Labeling Annotation
Create a manual annotation.
Header Parameters
x-workspace-id?|
Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).
Request Body
application/json
evaluation_id*string
ID of the evaluation this annotation belongs to
Format
uuidstart_offset*integer
Start character offset in the message text
Range
0 <= valueend_offset*integer
End character offset in the message text
Range
0 <= valuelabel*string
Label from the project's label schema
Length
1 <= length <= 64text*string
Annotated text span
Length
1 <= lengthexplanation?|
Explanation for why this label was applied
message_part_index?|
Index of the message part being annotated
Response Body
application/json
application/json
curl -X POST "https://loading/v1/labeling-annotations" \ -H "Content-Type: application/json" \ -d '{ "evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324", "start_offset": 0, "end_offset": 0, "label": "string", "text": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",
"origin_annotation_id": "09ad872c-fa7e-4756-bb97-ffa5bf6d364d",
"parent_labeling_annotation_id": "89d055e7-159c-46f3-aea4-2ec38e987b53",
"status": "string",
"start_offset": 0,
"end_offset": 0,
"label": "string",
"text": "string",
"explanation": "string",
"message_part_index": 0,
"reviewed": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}